.addButton {
  background-color: rgb(60, 126, 87);
  color: white;
  width: 100%;
}
.ContinueButton{
  background-color: rgb(60, 126, 87);
  color: white;
  width: 100%;
  margin-top: 15vh;
}
.init{
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 100vh;
  align-items: center;
  padding: 0 20px;
  padding-top:  65px;
  background-color: #f8fff8;
  background-color: #ffffff;
}

.inputCode{
  margin-top: 15px;
  color: black;
  width: 260px;

}

::ng-deep.mat-form-field-ripple {
  background-color: rgb(60, 126, 87) !important;
}
.camScan{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 100%;
  height: 100vh;
  background-color: rgba(0,0,0,.32);
  z-index: 999999;
}
.errorCamera{
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  height: 18vh;
  width: 90%;
  background-color: white;
  color: red;
  font-size: 20px;
  border-radius: 10px;
}
.icon-close{
  font-size: 40px;
  font-weight: bold;
}
.step2{
  justify-content: space-between;
  padding-top: 100px;
  padding-bottom: 100px;
  overflow: scroll;

}
::ng-deep .mat-form-field-flex {
  background-color: rgba(255, 255, 255, 0) !important;

}
.selectContainer{
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
.terminInitContainer{
  display: flex;
}
.terminInit{
  border-radius: 20px;
  margin-top: 20px;
}
.selects{

  width: 100%;
  justify-content: flex-start;
}
.laoder{
  position: absolute;
  background-color: rgba(0,0,0,.32);
  z-index: 9999999999;
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items:center ;
  flex-direction: column;
  padding-top: 65px;
}
.resultSelect{
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: 30px;
  margin-top: 40px;
  font-size: 16px;
  border-bottom: #c2c2c2 1px solid;
}
.scancod2{
  margin: 30px 0px;
  margin-bottom: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.listElement{
  margin-top: 40px;
  font-size: 15px;
  font-weight: bold;
}
.elementadd{
  padding:0 10px ;
  font-weight: normal;
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: 20px;
  margin-top: 10px;
  font-size: 16px;
}
.errorElement{
  margin-top: 20px;
  color: red;
  display: flex;
  justify-content: center;
}
.retour{
  width: 100%;
  position: absolute;
  display: flex;
  justify-content: flex-end;
  margin-top: 90px;
  background-color: rgba(77, 76, 76, 0);
  color: rgb(60, 126, 87);
  font-weight: bold;
  font-size: 48px;
  padding-right: 20px;
  z-index: 10;
}
.iconCntainer{
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  width: 40px;
  height: 40px;
  background-color: white;
  border-radius: 50%;
  box-shadow: 1px 0px 8px rgba(141, 141, 141, 0.73);
}
.SuivantBtn{
  background-color: white;
  color: rgb(60, 126, 87);
  border: 1px solid rgb(60, 126, 87);
  margin-right: 30px;
}
::ng-deep .mat-progress-bar-fill::after {
  background-color: rgb(60, 126, 87);
}

::ng-deep .mat-progress-bar-buffer {
  background: #E4E8EB;
}

::ng-deep .mat-progress-bar {
  border-radius: 2px;
}
.liveCamera{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 100%;
  height: 100vh;
  background-color: rgba(0,0,0,.32);
  z-index: 999999;
  overflow: hidden;
}

.previewImage{
  margin-top: 3%;
  margin-bottom: 10%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.CaptureButton{
  background-color: rgb(60, 126, 87);
  color: white;
  width: 50%;
  margin-top: 5vh;
}
.cameraMain{
  margin-top: 15px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
